> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxeme.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application

> Retrieve a specific application by its unique identifier



## OpenAPI

````yaml get /v1/Applications/{application_sid}
openapi: 3.0.3
info:
  title: Voxeme API
  description: >-
    The Voxeme account-level REST API allows a user to create and manage calls,
    applications, speech credentials, carriers, and other resources that are
    associated with their account.


    ## Authentication


    The API uses Bearer authentication; i.e., a bearer token that must be
    provided in the Authorization header, e.g.


    `Authorization: Bearer 'your-api-token'`


    You can generate an api token for your account in the hosted portal.


    ## HTTP response codes


    - POST requests will return a 201 status on success and a JSON payload that
    includes a `sid` property referencing the unique identifier of the resource
    that has been created.
        
    - UPDATE and DELETE requests will return a 204 status on success with no
    body
        
    - GET requests will return a 200 response with a JSON payload
        

    ## API version


    The current version of the api is v1.
  version: 1.0.0
  contact: {}
servers:
  - url: ''
security: []
tags:
  - name: v1
    description: The current API version is v1.
  - name: Alerts
    description: >-
      Alerts are generated when some element of your configuration is not
      working properly; for instance, if you have configured a webhook that is
      unreachable, or you try to use a speech service without having configured
      speech credentials.
  - name: Applications
    description: >-
      Applications represent the call handling rules to be applied to voice
      calls either made or received by the platform. Applications can be
      created, queried, updated, and destroyed via the API.


      Applications have the following properties:


      |property|description|

      |--------|-----------|

      |account_sid|identifies the Account this application belongs to|

      |application_sid|unique identifier for the application|

      |name|user-specified name of application|

      |call_hook|web callback to invoke for new calls|

      |call_status_hook|web callback to invoke for call status notifications|

      |speech_recognizer_vendor|vendor to use for speech recognition. Default:
      google|

      |speech_recognizer_language|default language to use for speech
      recognition, if not specified in the 'gather' or 'transcribe' verbs.
      Default: en-US|

      |speech_synthesis_vendor|vendor to use for text to speech. Default:
      google|

      |speech_synthesis_voice|default voice to use for text to speech, if not
      specified in the 'say' verb. Default: en-US-Wavenet-C|
  - name: Calls
    description: >-
      Calls that are active or recently ended (within 10 minutes) can be
      retrieved and managed via the api.  


      > Note: this api should not be used to retrieve call detail records.  For
      that, please use the /RecentCalls api
  - name: RecentCalls
    description: >-
      RecentCalls represent call detail records (CDRs) that are kept in the
      database.  Currently, 30 days of CDRs are retained in the time-series
      database.
  - name: SpeechCredentials
    description: >-
      SpeechCredentials represent AWS or Google tokens that are associated with
      your account for use in speech synthesis and recognition operations.


      > Note: you are currently restricted to a max of two SpeechCredentials -
      one for AWS and one for Google
  - name: VoipCarriers
    description: >-
      VoipCarriers represent SIP trunking providers that are associated with
      your account for use in placing and receiving PSTN calls.
  - name: SipGateways
    description: >-
      A SipGateway represents a single IP address or range of IPs that are
      associated with a VoipCarrier (e.g. the VoipCarrier places and receives
      calls from these IPs).


      When you create a VoipProvider, you need to also add the SipGateways for
      that provider in order for incoming calls to be properly classified and
      for outbound calls to be properly routed.
paths:
  /v1/Applications/{application_sid}:
    parameters:
      - name: application_sid
        in: path
        required: true
        schema:
          type: string
          example: bd66b946-0af4-4283-b972-d0d4b0d6f088
    get:
      tags:
        - v1
        - Applications
      summary: Get Application
      description: Retrieve a specific application by its unique identifier
      operationId: getApplication
      responses:
        '200':
          description: Get Application
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '860'
            Date:
              schema:
                type: string
                example: Thu, 27 May 2021 23:19:52 GMT
            ETag:
              schema:
                type: string
                example: W/"35c-jYiXkrRkYNAXLvbpn4I0KG+aigM"
            Server:
              schema:
                type: string
                example: nginx/1.14.2
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    account_sid:
                      type: string
                      example: 5f8e8f60-4771-44cb-92a6-94ea66df0450
                    application_sid:
                      type: string
                      example: 98acd50a-9f25-42a6-8dbf-aadb400ddcf0
                    call_hook:
                      type: object
                      properties:
                        method:
                          type: string
                          example: POST
                        password:
                          nullable: true
                          example: null
                        url:
                          type: string
                          example: https://public-apps.dev.voxeme.com/dial-time
                        username:
                          nullable: true
                          example: null
                        webhook_sid:
                          type: string
                          example: 30a3232d-e4f2-4c90-af83-fb32c31fa17d
                    call_status_hook:
                      type: object
                      properties:
                        method:
                          type: string
                          example: POST
                        password:
                          nullable: true
                          example: null
                        url:
                          type: string
                          example: https://public-apps.dev.voxeme.com/call-status
                        username:
                          nullable: true
                          example: null
                        webhook_sid:
                          type: string
                          example: c20a825e-2ce7-4c10-8c95-fb4d83d30506
                    created_at:
                      type: string
                      example: '2021-05-25T03:06:21.000Z'
                    messaging_hook:
                      type: object
                      properties:
                        method:
                          type: string
                          example: POST
                        password:
                          nullable: true
                          example: null
                        url:
                          type: string
                          example: ''
                        username:
                          nullable: true
                          example: null
                        webhook_sid:
                          type: string
                          example: 5832639b-d8a9-4334-b039-b088dea19ee3
                    name:
                      type: string
                      example: dial time clock
                    speech_recognizer_language:
                      type: string
                      example: en-US
                    speech_recognizer_vendor:
                      type: string
                      example: google
                    speech_synthesis_language:
                      type: string
                      example: en-US
                    speech_synthesis_vendor:
                      type: string
                      example: google
                    speech_synthesis_voice:
                      type: string
                      example: en-US-Standard-C
                example:
                  - account_sid: 5f8e8f60-4771-44cb-92a6-94ea66df0450
                    application_sid: 98acd50a-9f25-42a6-8dbf-aadb400ddcf0
                    call_hook:
                      method: POST
                      password: null
                      url: https://public-apps.dev.voxeme.com/dial-time
                      username: null
                      webhook_sid: 30a3232d-e4f2-4c90-af83-fb32c31fa17d
                    call_status_hook:
                      method: POST
                      password: null
                      url: https://public-apps.dev.voxeme.com/call-status
                      username: null
                      webhook_sid: c20a825e-2ce7-4c10-8c95-fb4d83d30506
                    created_at: '2021-05-25T03:06:21.000Z'
                    messaging_hook:
                      method: POST
                      password: null
                      url: ''
                      username: null
                      webhook_sid: 5832639b-d8a9-4334-b039-b088dea19ee3
                    name: dial time clock
                    speech_recognizer_language: en-US
                    speech_recognizer_vendor: google
                    speech_synthesis_language: en-US
                    speech_synthesis_vendor: google
                    speech_synthesis_voice: en-US-Standard-C
              examples:
                Get Application:
                  value:
                    - account_sid: 5f8e8f60-4771-44cb-92a6-94ea66df0450
                      application_sid: 98acd50a-9f25-42a6-8dbf-aadb400ddcf0
                      call_hook:
                        method: POST
                        password: null
                        url: https://public-apps.dev.voxeme.com/dial-time
                        username: null
                        webhook_sid: 30a3232d-e4f2-4c90-af83-fb32c31fa17d
                      call_status_hook:
                        method: POST
                        password: null
                        url: https://public-apps.dev.voxeme.com/call-status
                        username: null
                        webhook_sid: c20a825e-2ce7-4c10-8c95-fb4d83d30506
                      created_at: '2021-05-25T03:06:21.000Z'
                      messaging_hook:
                        method: POST
                        password: null
                        url: ''
                        username: null
                        webhook_sid: 5832639b-d8a9-4334-b039-b088dea19ee3
                      name: dial time clock
                      speech_recognizer_language: en-US
                      speech_recognizer_vendor: google
                      speech_synthesis_language: en-US
                      speech_synthesis_vendor: google
                      speech_synthesis_voice: en-US-Standard-C
                    - account_sid: 5f8e8f60-4771-44cb-92a6-94ea66df0450
                      application_sid: 9b747b6c-7a3d-490e-af0b-95939982f369
                      call_hook:
                        method: POST
                        password: null
                        url: https://9519e2c6b589.ngrok.io/dial-o-rama/collect
                        username: null
                        webhook_sid: 5a7bfa6a-a897-4ba0-bd55-cd7c239a9df0
                      call_status_hook:
                        method: POST
                        password: null
                        url: https://9519e2c6b589.ngrok.io/call-status
                        username: null
                        webhook_sid: 7ad5e589-d161-4b4c-b513-3c597c099fb3
                      created_at: '2021-05-08T16:59:06.000Z'
                      messaging_hook:
                        method: POST
                        password: null
                        url: ''
                        username: null
                        webhook_sid: e38681ce-b11d-48c0-a844-19b304d13a79
                      name: dial-o-rama
                      speech_recognizer_language: en-US
                      speech_recognizer_vendor: google
                      speech_synthesis_language: en-US
                      speech_synthesis_vendor: google
                      speech_synthesis_voice: en-US-Wavenet-C

````